Page MenuHomePhabricator

[Epic] Partial block rollout
Closed, ResolvedPublic

Description

This ticket is to keep track of partial blocks deployment on Wikimedia projects.

Deployed on:

Deployment plan for the remaining wikis:

  • June 14 - Let 3 pilot wikis (English Wikisource, English Wikivoyage and English Wiktionary) know about upcoming partial blocks deployment on these wikis. Choosing these three wikis because they are the first wikis to get partial blocks in a new project. English language because of ease of communication to get feedback in addition to these being among the more active communities in these projects.
  • June 17 - Deploy to English Wikisource, English Wikivoyage and English Wiktionary.
  • Collect feedback from the communities. If no major issues are found, we can go ahead with the next step.
  • Deploy to all Wikisource, Wiktionary and Wikivoyage wikis.
  • Collect all the feedback we can get. Work on bug fixes, if any.
  • January 6 - Deploy to all remaining projects that are not pending current community discussions (this can exclude wikipedias where we feel like we need consensus like German).
  • January 15 - Deploy to Commons

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedNiharika
Resolveddbarratt
ResolvedNone
Resolveddbarratt
ResolvedTchanders
ResolvedJan 16 2019dbarratt
Resolveddmaza
ResolvedTchanders
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedMajavah
Resolvedrevi
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

This does not seem to be deployed to "all wikisource". sourceswiki is a wikisource project and partial blocks are not available there.

sourceswiki is not a wikisource project in the database sense; I imagine this was an oversight, and not intentional.

Do we need a special consensus for enabling this mechanism?

Probably not.

@Ankry, if the wiki is onboard with it, we can enable partial blocks on sourceswiki. It was indeed an oversight.

Niharika updated the task description. (Show Details)Oct 8 2019, 2:39 AM
Kwj2772 updated the task description. (Show Details)Nov 4 2019, 3:22 AM
Restricted Application added a subscriber: revi. · View Herald TranscriptNov 4 2019, 3:22 AM
revi removed a subscriber: revi.Nov 4 2019, 4:31 AM
DannyS712 updated the task description. (Show Details)Nov 30 2019, 1:09 AM
4nn1l2 removed a subscriber: 4nn1l2.Nov 30 2019, 7:56 AM
MJL updated the task description. (Show Details)Dec 1 2019, 7:23 PM
RhinosF1 updated the task description. (Show Details)Dec 1 2019, 7:28 PM

Any updates on the deployment of Swedish Wikipedia? The task description says the discussion is stalled. It isn't linked here so no idea where I can find it.

Johan added a subscriber: Johan.Dec 10 2019, 4:35 PM

The discussion on Swedish Wikipedia has been archived since March and is not going to be continued. If community consensus is desired someone would have to start a new discussion.

Johan removed a subscriber: Johan.Dec 10 2019, 4:36 PM

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.

In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

Ankry added a comment.Dec 10 2019, 9:34 PM

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

agreed.

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

We are planning to do that. We're aiming to give the communities one last heads-up (see T240300) before deploying this everywhere.

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

I endorse this comment :) Thanks for pointing out that "In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa."

FYI there's also a generic model policy draft, that needs more detailed use-cases and specific guidelines: https://meta.wikimedia.org/wiki/Partial_block_model_policy

TonyBallioni added a subscriber: TonyBallioni.EditedDec 12 2019, 4:27 AM

Just an optics comment: I wouldn't have en.wiki as "up next". A poll hasn't been taken, and it is likely to be substantially more controversial there than other projects. The wording makes it look like it's already been decided. I know that's not the intent, but better wording could be used :)

Ammarpad updated the task description. (Show Details)Dec 12 2019, 4:38 AM

Removed Swedish Wikipedia from up next section, their discussion is dead and archived. So either a new discussion or a decision by the AH team is needed to make this happen.

Removed English Wikipedia too. At the time I added it I thought the poll would have taken place by now. But per look of things now this may take even longer time than it had already took.

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

We are planning to do that. We're aiming to give the communities one last heads-up (see T240300) before deploying this everywhere.

Will this be rolled out on en.wiki without an RfC or if the RfC closes opposed?

AronManning added a comment.EditedDec 12 2019, 6:34 AM

Will this be rolled out on en.wiki without an RfC [...]?

After 4 months of dormancy, the RfC has been started: https://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Partial_blocks

SQL added a subscriber: SQL.Dec 17 2019, 12:23 AM

@Niharika - I noticed in the tech news today, that we should contact you if our wiki should be delayed for deployment. As we're still discussing enabling this feature (RFC is linked above), I think it would be best to hold off on deploying to enwiki.

Xaosflux added a subscriber: Xaosflux.EditedDec 17 2019, 12:26 AM

In response to Tech/News/2019/51 which said this feature "will come to most wikis on 6 January." I am following up with User talk:NKohli (WMF) as to the current plan for English Wikipedia, as it is not clear what is this "most wikis". Where is this list?

@Xaosflux @SQL Yep, we are excluding enwiki and other wikis where discussion has been stalled or is waiting on an RfC.

Xaosflux updated the task description. (Show Details)Dec 17 2019, 1:24 AM
Xaosflux updated the task description. (Show Details)
SRuizR updated the task description. (Show Details)Dec 17 2019, 4:25 AM
Niharika updated the task description. (Show Details)Dec 17 2019, 5:15 PM
Niharika updated the task description. (Show Details)

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa. There is literally not a single reason why a piece of software that doesn't limit anything possible today but only expand it should not just be enabled by default, if partial blocks had the potential to damage the workflow of the community I could understand that it would require prior discussion, but this is unnecessary bureaucracy.

We are planning to do that. We're aiming to give the communities one last heads-up (see T240300) before deploying this everywhere.

The RfC on Commons has been fairly stable with over 70% support for a while now. Not sure when (if ever) it will be closed. We forget that part occasionally..

I agree with @DonTrung that this kind of feature should simply be deployed everywhere because unlike something like Flow, it can be ignored. Communities can choose to ignore the feature or even vote to have it disabled, no hard feelings.

I don't get why the Wikimedia Foundation doesn't just implement this by default, what would we truly lose if partial blocks were implemented? Admins aren’t forced to use them when they don't want to, “giving the community a choice” just means that they (we) could prevent something that's a net benefit to it.
In fact, policies are written around the technical capabilities and limitations of the MediaWiki software, not vice versa.

What if this tool was developed ca. 15 years ago, on the eve of the great editor influx? Back then these developments were easy to do and well received. If a solution did not work as expected, the community stopped using it and moved on.
With partial blocks sanctioning would not be of the all-or-nothing nature. Instead of fighting to avoid sanctions, editors would be more willing to accept it and focus on contributing to alternate topics. The noticeboards would not be these combative dramaboards and no caste of "unblockable" editors would have come to existence. This tool was missing for more than a decade.

While common sense says that having partial blocks as an option is an obvious benefit, it is a protocollary necessity to ask the communities' opinion about it. It has the benefit that the communities become aware of the tool and start discussing the respective policy in detail.

Many RfCs closed around 2/3 support !votes, so the support is very strong. It's unfortunate that 1/3 prefer the current all-or-nothing blocking practice, that's often used to suppress POVs even just with the threat of being blocked.

Change 562359 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[operations/mediawiki-config@master] Enable Partial Blocks on every wiki excluding those that have opted-out

https://gerrit.wikimedia.org/r/562359

Change 562359 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Partial Blocks on every wiki excluding those that have opted-out

https://gerrit.wikimedia.org/r/562359

Mentioned in SAL (#wikimedia-operations) [2020-01-07T00:27:33Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:562359|Enable Partial Blocks on every wiki excluding those that have opted-out (T218626)]] (duration: 00m 55s)

I'm hitting refresh on https://en.wikiversity.org/wiki/Special:Block/DannyS712, and half the time it shown the partial block interface, and the other half it shown the normal no-partial blocks interface

Tgr added a subscriber: Tgr.Tue, Jan 7, 1:24 AM

I'm hitting refresh on https://en.wikiversity.org/wiki/Special:Block/DannyS712, and half the time it shown the partial block interface, and the other half it shown the normal no-partial blocks interface

For the record, this was probably T236104: Cache of wmf-config/InitialiseSettings often 1 step behind; it went away after the other SWAT patches got deployed.

Niharika updated the task description. (Show Details)Wed, Jan 8, 12:39 AM
DannyS712 updated the task description. (Show Details)Sat, Jan 11, 10:03 AM

Change 563653 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Deploy partial blocks on enwiki

https://gerrit.wikimedia.org/r/563653

DannyS712 updated the task description. (Show Details)Sat, Jan 11, 10:06 AM
JJMC89 changed the status of subtask T242570: Deploy partial blocks on Wikimedia Commons from Open to Stalled.Mon, Jan 13, 5:08 AM
RhinosF1 updated the task description. (Show Details)Mon, Jan 13, 6:31 AM
RhinosF1 updated the task description. (Show Details)
Ammarpad updated the task description. (Show Details)Mon, Jan 13, 12:20 PM
Riley_Huntley changed the status of subtask T242570: Deploy partial blocks on Wikimedia Commons from Stalled to Open.

Congrats everyone! Last project is ready for deployment!

I would like to thank all of the people here who worked on it's development and deployment as well as the ones who helped us by reaching out to their communities. Good job everyone!

RhinosF1 updated the task description. (Show Details)Wed, Jan 15, 8:10 PM

Now just clean-up to do.

Is the rollout not resolved?
We have T190350 for clean up

Jdforrester-WMF closed this task as Resolved.Wed, Jan 15, 8:13 PM

Oh, right, in that case…

Oh, right, in that case…

Congrats everyone!

Indeed, this was a great team effort with everyone involved! Thank you all. :)